> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/task.md).

# Task

## Gets a list of tasks

> This endpoint is used to fetch all the tasks in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/":{"get":{"operationId":"ux_sd_task_task_list","description":"This endpoint is used to fetch all the tasks in the current organization","summary":"Gets a list of tasks","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskDetails"}}}},"description":""}}}}}}
```

## Creates a new task&#x20;

> This endpoint is used to save a new task for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/task/task/":{"post":{"operationId":"ux_sd_task_task_create","description":"This endpoint is used to save a new task for the current organization","summary":"Creates a new task ","tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a task with the given id

> This endpoint is used to fetch a task details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/{id}/":{"get":{"operationId":"ux_sd_task_task_retrieve","description":"This endpoint is used to fetch a task details in the current organization","summary":"Gets a task with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## Edits the task with given id

> This endpoint is used to edit an existing task for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/{id}/":{"put":{"operationId":"ux_sd_task_task_update","description":"This endpoint is used to edit an existing task for the current organization","summary":"Edits the task with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## Deletes the task with given id

> This endpoint is used to delete an existing task for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/task/task/{id}/":{"delete":{"operationId":"ux_sd_task_task_destroy","description":"This endpoint is used to delete an existing task for the current organization","summary":"Deletes the task with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/sd/task/task/change-task-list/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/change-task-list/{id}/":{"get":{"operationId":"ux_sd_task_task_change_task_list_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/change-task/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/change-task/{id}/":{"get":{"operationId":"ux_sd_task_task_change_task_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## POST /ux/sd/task/task/delete-change-task/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/delete-change-task/{id}/":{"post":{"operationId":"ux_sd_task_task_delete_change_task_create","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## POST /ux/sd/task/task/delete-release-task/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/delete-release-task/{id}/":{"post":{"operationId":"ux_sd_task_task_delete_release_task_create","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/filter/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/filter/":{"get":{"operationId":"ux_sd_task_task_filter_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/options/":{"get":{"operationId":"ux_sd_task_task_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/rel-task-list/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/rel-task-list/{id}/":{"get":{"operationId":"ux_sd_task_task_rel_task_list_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/release-task/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/release-task/{id}/":{"get":{"operationId":"ux_sd_task_task_release_task_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## GET /ux/sd/task/task/req-task-list/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/req-task-list/{id}/":{"get":{"operationId":"ux_sd_task_task_req_task_list_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## POST /ux/sd/task/task/save-change-task/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/save-change-task/":{"post":{"operationId":"ux_sd_task_task_save_change_task_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```

## POST /ux/sd/task/task/save-release-task/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TaskDetails":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"formatted_due_date":{"type":"string","readOnly":true},"formatted_actual_start_date":{"type":"string","readOnly":true},"assignee_info":{"type":"string","readOnly":true},"formatted_estimated_duration":{"type":"string","readOnly":true},"formatted_actual_end_date":{"type":"string","readOnly":true},"task_id":{"type":"string","maxLength":25},"type":{"type":"object","additionalProperties":{}},"display_id":{"type":"string","maxLength":25},"ref_id":{"type":"string","maxLength":25},"ref_display_id":{"type":"string","maxLength":25},"ref_module_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"object","additionalProperties":{}},"priority":{"type":"object","additionalProperties":{}},"assignee":{"type":"string"},"assignee_profile":{"type":"object","additionalProperties":{}},"due_date":{"type":"string","format":"date-time"},"repeat_config":{"type":"object","additionalProperties":{}},"meta_data":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"closure_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"integer"},"updated_by_id":{"type":"integer"},"estimated_cost":{"type":"number","format":"float"},"estimated_duration":{"type":"string","format":"date-time"},"approval_state":{"type":"integer"},"assigned_to_group":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}},"check_list":{"type":"object","additionalProperties":{}},"closure_note":{"type":"string"},"actual_start_date":{"type":"string","format":"date-time"},"actual_end_date":{"type":"string","format":"date-time"},"config":{"$ref":"#/components/schemas/Embedded"},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"}},"required":["assignee_info","formatted_actual_end_date","formatted_actual_start_date","formatted_due_date","formatted_estimated_duration","id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/task/task/save-release-task/":{"post":{"operationId":"ux_sd_task_task_save_release_task_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Task"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TaskDetails"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDetails"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/task.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
